Redmine - Patch #19233

Change 20150113213922_remove_users_mail.rb from Irreversible to Reversible

2015-03-02 11:29 - Denis Savitskiy

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version: 3.0.1

Description

20150113213922_remove_users_mail.rb Irreversible migration interfers rollback from source (unstable Redmine version) to stable.

Patch resolves this problem:

Associated revisions

Revision 14052 - 2015-03-07 17:14 - Jean-Philippe Lang

Change 20150113213922_remove_users_mail.rb from Irreversible to Reversible (#19233).

Revision 14063 - 2015-03-08 10:45 - Jean-Philippe Lang

Merged r14052 (#19233).

History

#1 - 2015-03-04 04:47 - Toshi MARUYAMA

- Target version set to 3.0.1

#2 - 2015-03-07 17:17 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Change done r14052, without using #update_attribute (triggering model callbacks from migrations is a bad idea).

#3 - 2015-03-07 19:27 - Jean-Philippe Lang

- Status changed from Closed to Resolved

#4 - 2015-03-08 10:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

0001-irreversible-to-reversible-remove-users-mail.patch

2025-08-23

550 Bytes 2015-03-02 Denis Savitskiy

1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/14052
http://www.tcpdf.org

